summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDiego Elio Pettenò <flameeyes@gentoo.org>2010-08-09 19:35:40 +0000
committerDiego Elio Pettenò <flameeyes@gentoo.org>2010-08-09 19:35:40 +0000
commitbb72e9e41d7732972ec73f5e5d652c36cd5bb1b1 (patch)
treef1425e06ab279568f62bf0d7269259d2952d386b /sys-libs/freeipmi/files
parentRemove exec bit from the init scripts (part 1: commit removal). (diff)
downloadgentoo-2-bb72e9e41d7732972ec73f5e5d652c36cd5bb1b1.tar.gz
gentoo-2-bb72e9e41d7732972ec73f5e5d652c36cd5bb1b1.tar.bz2
gentoo-2-bb72e9e41d7732972ec73f5e5d652c36cd5bb1b1.zip
Remove exec bit from the init scripts (part 2: commit non-exec scripts).
(Portage version: 2.2_rc67/cvs/Linux x86_64)
Diffstat (limited to 'sys-libs/freeipmi/files')
-rw-r--r--sys-libs/freeipmi/files/bmc-watchdog.initd27
-rw-r--r--sys-libs/freeipmi/files/ipmidetectd.initd27
2 files changed, 54 insertions, 0 deletions
diff --git a/sys-libs/freeipmi/files/bmc-watchdog.initd b/sys-libs/freeipmi/files/bmc-watchdog.initd
new file mode 100644
index 000000000000..e1e63515b808
--- /dev/null
+++ b/sys-libs/freeipmi/files/bmc-watchdog.initd
@@ -0,0 +1,27 @@
+#!/sbin/runscript
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-libs/freeipmi/files/bmc-watchdog.initd,v 1.3 2010/08/09 19:35:40 flameeyes Exp $
+
+start() {
+ ebegin "Starting bmc-watchdog"
+ if [ -f /var/run/bmc-watchdog.pid ] ; then
+ ewarn "/var/run/bmc-watchdog.pid already exists,"
+ ewarn "removing it but you might want to find out"
+ ewarn "why this happened."
+ rm /var/run/bmc-watchdog.pid
+ fi
+ start-stop-daemon --background --make-pidfile \
+ --start --quiet --exec /usr/sbin/bmc-watchdog \
+ --pidfile /var/run/bmc-watchdog.pid -- ${OPTIONS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping bmc-watchdog"
+ start-stop-daemon \
+ --stop --quiet \
+ --pidfile /var/run/bmc-watchdog.pid
+ eend $?
+ rm /var/run/bmc-watchdog.pid
+}
diff --git a/sys-libs/freeipmi/files/ipmidetectd.initd b/sys-libs/freeipmi/files/ipmidetectd.initd
new file mode 100644
index 000000000000..a9b274c91eae
--- /dev/null
+++ b/sys-libs/freeipmi/files/ipmidetectd.initd
@@ -0,0 +1,27 @@
+#!/sbin/runscript
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-libs/freeipmi/files/ipmidetectd.initd,v 1.3 2010/08/09 19:35:40 flameeyes Exp $
+
+start() {
+ ebegin "Starting ipmidetectd"
+ if [ -f /var/run/ipmidetectd.pid ] ; then
+ ewarn "/var/run/ipmidetectd.pid already exists,"
+ ewarn "removing it but you might want to find out"
+ ewarn "why this happened."
+ rm /var/run/ipmidetectd.pid
+ fi
+ start-stop-daemon --background --make-pidfile \
+ --start --quiet --exec /usr/sbin/ipmidetectd \
+ --pidfile /var/run/ipmidetectd.pid
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ipmidetectd"
+ start-stop-daemon \
+ --stop --quiet \
+ --pidfile /var/run/ipmidetectd.pid
+ eend $?
+ rm /var/run/ipmidetectd.pid
+}